Classes | Enumerations

# uri.h File Reference

## Classes
class | wxURI
| wxURI is used to extract information from a URI (Uniform Resource Identifier). More...
## Enumerations
enum | wxURIHostType { wxURI_REGNAME, wxURI_IPV4ADDRESS, wxURI_IPV6ADDRESS, wxURI_IPVFUTURE }
| Host type of URI returned from wxURI::GetHostType(). More...

## Enumeration Type Documentation

enum wxURIHostType

Host type of URI returned from wxURI::GetHostType().

Enumerator:

  wxURI_REGNAME | Host is a normal register name (`"www.mysite.com"`).
  wxURI_IPV4ADDRESS | Host is a version 4 ip address (`"192.168.1.100"`).
  wxURI_IPV6ADDRESS | Host is a version 6 ip address (`"[aa:aa:aa:aa::aa:aa]:5050"`).
  wxURI_IPVFUTURE | Host is a future ip address, wxURI is unsure what kind.

|  | [ top ]